%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
%global pname jboss-jstl-api_spec
%global oname jboss-jstl-api_1.2_spec

Name:          jboss-jstl-1.2-api
Version:       1.1.2
Release:       %mkrel 1
Group:         Development/Java
Summary:       JSP Standard Template Library 1.2 API
License:       ASL 2.0 and (CDDL or GPLv2 with exceptions)
URL:           https://github.com/jboss/jboss-jstl-api_spec
Source0:       https://github.com/jboss/jboss-jstl-api_spec/archive/%{oname}-%{namedversion}.tar.gz
# Fix the FSF address in the license file:
Patch0:        %{name}-fix-fsf-address.patch
Patch1:        %{name}-endorse_xalan.patch

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)
BuildRequires: mvn(org.jboss.spec.javax.el:jboss-el-api_2.2_spec)
BuildRequires: mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec)
BuildRequires: mvn(org.jboss.spec.javax.servlet.jsp:jboss-jsp-api_2.2_spec)
BuildRequires: mvn(xalan:xalan)

BuildArch:     noarch

%description
Java Server Pages Standard Template Library 1.2 API.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc	
This package contains the API documentation for %{name}.

%prep
# Unpack the sources:
%setup -q -n %{pname}-%{oname}-%{namedversion}
# Apply the patches:
%patch0 -p1
# only for EL, in fedora ibm jdk is not available
%if 0%{?el7}
%patch1 -p1
%endif

%pom_remove_plugin :maven-source-plugin

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc README

%files javadoc -f .mfiles-javadoc
%license LICENSE




%changelog
* Fri May 19 2017 neoclust <neoclust> 1.1.2-1.mga6
+ Revision: 1103291
- New version 1.1.2
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.3-15.mga6
+ Revision: 976449
- First rebuild of the java stack
- sync package jboss-jstl-1.2-api with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Jan 22 2015 daviddavid <daviddavid> 1.0.3-8.mga5
+ Revision: 811910
- build with xmvn
- use .mfiles generated during build
- update BuildRequires and Requires

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-7.mga5
+ Revision: 746121
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Jan 08 2014 dmorgan <dmorgan> 1.0.3-5.mga4
+ Revision: 565573
- Fix BuildRequires

* Sun Dec 22 2013 dmorgan <dmorgan> 1.0.3-4.mga4
+ Revision: 559779
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.3-2.mga3
+ Revision: 355049
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 20 2012 dmorgan <dmorgan> 1.0.3-1.mga3
+ Revision: 262239
- imported package jboss-jstl-1.2-api


* Thu Mar 23 2012 Juan Hernandez <juan.hernandez@redhat.com> 1.0.3-2
- Use global instead of define

* Thu Mar 22 2012 Juan Hernandez <juan.hernandez@redhat.com> 1.0.3-1
- Update to upstream version 1.0.3
- Cleanup of the spec file

* Fri Aug 12 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

